// Dieses Javascript regelt die extra Funktionen der Start-Seite, wie die Slideshow, die animierten Keywords, die hochzählenden Zahlen und die Buttons unten. 

// This script customizes buttons to show descriptions on mouse hover.
// It also ensures descriptions are always visible on screens smaller than or equal to 1219px.
window.addEventListener('DOMContentLoaded', (event) => {
  const buttons = document.querySelectorAll('.custom-button');

  const updateDescriptionVisibility = () => {
    const isSmallScreen = window.innerWidth <= 1219;
    buttons.forEach(button => {
      const description = button.querySelector('.custom-description');
      // If the screen is small, always show the description. Otherwise, hide it by default.
      description.style.display = isSmallScreen ? "block" : "none";
    });
  };

  // Initial check to set the correct state based on the current window size
  updateDescriptionVisibility();

  // Listen for resize events to handle changes in window size
  window.addEventListener('resize', updateDescriptionVisibility);

  buttons.forEach(button => {
    button.addEventListener('mouseover', function() {
      if (window.innerWidth > 1219) { // Only show on hover for larger screens
        this.querySelector('.custom-description').style.display = "block";
      }
    });
    button.addEventListener('mouseout', function() {
      if (window.innerWidth > 1219) { // Only hide after hover for larger screens
        this.querySelector('.custom-description').style.display = "none";
      }
    });
  });
});

