function toggleFontSizeSlider() {
    const sliderContainer = document.getElementById('fontSliderContainer');
    sliderContainer.style.display = sliderContainer.style.display === 'none' ? 'flex' : 'none';
}

document.addEventListener('DOMContentLoaded', function() {
    var content = document.querySelector('.md-content__inner');
    const initialFontSize = window.getComputedStyle(content).fontSize;
    localStorage.setItem('initialFontSize', initialFontSize); // Store the initial font size

    const savedFontSize = localStorage.getItem('userFontSize');
    if (savedFontSize) { // Apply saved font size if available
        content.style.fontSize = savedFontSize + 'px';
    } else {
        // Store the initial font size as the current font size if no preference is saved
        localStorage.setItem('userFontSize', parseInt(initialFontSize));
    }
});

function increaseFontSize() {
    var content = document.querySelector('.md-content__inner');
    var settingsET = document.querySelector('.settings-example-text')
    let currentSize = parseInt(window.getComputedStyle(content).fontSize);
    let newSize = currentSize + 2; // Increase font size by 2px
    content.style.fontSize = newSize + 'px';
    settingsET.style.fontSize = newSize + 'px';
    localStorage.setItem('userFontSize', newSize); // Update the stored font size
}

function decreaseFontSize() {
    var content = document.querySelector('.md-content__inner');
    var settingsET = document.querySelector('.settings-example-text')
    let currentSize = parseInt(window.getComputedStyle(content).fontSize);
    let newSize = Math.max(currentSize - 2, 12); // Decrease font size by 2px, minimum 12px
    content.style.fontSize = newSize + 'px';
    settingsET.style.fontSize = newSize + 'px';
    localStorage.setItem('userFontSize', newSize); // Update the stored font size
}

function resetFontSize() {
    var content = document.querySelector('.md-content__inner');
    var settingsET = document.querySelector('.settings-example-text')
    const initialFontSize = localStorage.getItem('initialFontSize'); // Retrieve the initial font size
    content.style.fontSize = initialFontSize; // Reset font size to the initial size
    settingsET.style.fontSize = initialFontSize;
    localStorage.setItem('userFontSize', parseInt(initialFontSize)); // Update the stored font size
}
