// This Javascript is responsible for...
// ...the navigation sidebars on the left and right, and shows or hides them depending on display's size
// ...the pages main content's width

// set paths of the footer logos dynamically depending on host
// maybe redundant, needs testing
document.addEventListener('DOMContentLoaded', () => {
  var copy1;
  var copy2;
  var copy3;
  var hostname = window.location.hostname;
  var pathname = window.location.pathname;
  copy1 = "/medien/logo-rub.png";
  copy2 = "/medien/logo-worldfactory.png";
  copy3 = "/medien/logo-esc.png";

  if (hostname === 'localhost') {
    copy1 = "/medien/logo-rub.png";
    copy2 = "/medien/logo-worldfactory.png";
    copy3 = "/medien/logo-esc.png";
  } 
  else if (hostname.includes('makerspace.ruhr-uni-bochum.de')) {
    copy1 = "/medien/logo-rub.png";
    copy2 = "/medien/logo-worldfactory.png";
    copy3 = "/medien/logo-esc.png";
  } 
  else if (hostname.includes('ruhr-uni-bochum.de') && pathname.includes('/makerspace/')) {
    copy1 = "/makerspace/medien/logo-rub.png";
    copy2 = "/makerspace/medien/logo-worldfactory.png";
    copy3 = "/makerspace/medien/logo-esc.png";
  }

  document.getElementById('copyright1').src = copy1;
  document.getElementById('copyright2').src = copy2;
  document.getElementById('copyright3').src = copy3;
});

// Inserts Sidebar (left) navigation-title
document.addEventListener("DOMContentLoaded", function() {
  // Create the navigation header element
  var navHeader = document.createElement("h1");
  navHeader.className = "custom-nav-header"; // Add custom class for styling
  
  // Check if the current URL contains '/en/' to determine the language
  if (window.location.pathname.includes("/en/")) {
    navHeader.innerText = "Navigation Menu"; // English title
  } else {
    navHeader.innerText = "Navigationsmenü"; // German title
  }
  
  // Insert the navigation header into the sidebar
  var sidebar = document.querySelector(".md-sidebar--primary .md-sidebar__inner");
  if (sidebar) {
    sidebar.insertBefore(navHeader, sidebar.firstChild);
  }
});

// Protects the ears of our dear visitors by setting the starting volume of our videos to a low amount
document.addEventListener("DOMContentLoaded", function() {
  // Select all video elements on the page
  var videos = document.querySelectorAll("video");
  
  // Loop through each video
  if (videos){
    for(var i = 0; i < videos.length; i++) {
      // Set the volume to your desired level (e.g., 0.2)
      videos[i].volume = 0.1;
    }
  }
});

document.addEventListener('DOMContentLoaded', function() {
  var videoContainers = document.querySelectorAll('.video-container');

  videoContainers.forEach(function(container) {
      var video = container.querySelector('video');
      var videoSrc = video.querySelector('source').src;
      var thumbnailSrc = videoSrc.replace('.mp4', '.jpg'); // Assuming a naming convention for thumbnails

      // Create thumbnail
      var img = document.createElement('img');
      img.src = thumbnailSrc;
      img.className = 'video-thumbnail';

      // Create play button
      var playButton = document.createElement('button');
      playButton.className = 'play-button';

      // When play button is clicked
      playButton.addEventListener('click', function() {
          // Replace the thumbnail and play button with the video
          container.innerHTML = '';
          container.appendChild(video);
          video.play();
      });

      // Clear the container and add the thumbnail and play button
      container.innerHTML = '';
      container.appendChild(img);
      container.appendChild(playButton);
  });
});

// Open Settings

document.addEventListener('DOMContentLoaded', () => {
  const overlay = document.getElementById('settings');
  const settings = document.getElementById('settings-content')
  const openOverlayButton = document.getElementById('openSettings');
  const closeOverlayButton = document.getElementById('closeSettings');
  const line = document.getElementById('settings-line');

  // Function to open the overlay
  openOverlayButton.addEventListener('click', () => {
    if (settings.classList.contains('settings-hidden')) {
      overlay.classList.remove('settings-hidden');
      settings.classList.remove('settings-hidden');
      line.classList.remove('settings-hidden');
    }
    else {
      overlay.classList.add('settings-hidden');
      settings.classList.add('settings-hidden'); 
      line.classList.add('settings-hidden'); 
    }
  });

  // Function to close the overlay
  closeOverlayButton.addEventListener('click', () => {
      overlay.classList.add('settings-hidden');
      settings.classList.add('settings-hidden');
      line.classList.add('settings-hidden');
  });

  // Close overlay when clicking outside the overlay content
  overlay.addEventListener('click', (event) => {
      if (event.target === overlay) {
          overlay.classList.add('settings-hidden');
          settings.classList.add('settings-hidden');
          line.classList.add('settings-hidden');
      }
  });
}); 

//dynamically adjusts the height of the colorful forms in the header's background & the position of the settings-window to be under the header
document.addEventListener('DOMContentLoaded', () => {
  // Function to adjust header heights
  function adjustHeaderHeights() {
      // Get the header and form elements
      const mdHeader = document.querySelector('.md-header');
      const headerForm1 = document.querySelector('#header-form_1');
      const headerForm2 = document.querySelector('#header-form_2');
      const headerForm3 = document.querySelector('#header-form_3');
      
      // Check if elements exist
      if (mdHeader && headerForm1 && headerForm2 && headerForm3) {
          // Read the height of the .md-header element
          const headerHeight = mdHeader.offsetHeight;

          // Adjust the heights of the form elements
          headerForm1.style.height = `${headerHeight * 0.7}px`;
          headerForm1.style.width = `${headerHeight * 0.7}px`;
          headerForm2.style.height = `${headerHeight * 0.3}px`;
          headerForm3.style.height = `${headerHeight}px`;

          if (window.innerWidth <= 1219) {
            headerForm1.style.height = `${headerHeight * 1}px`;
            headerForm1.style.width = `${headerHeight * 1}px`;
          }
      }

      // Get the settingsWrapper and banner elements
      const settingsWrapper = document.querySelector('.header-settings-wrapper')
      const banner = document.querySelector('.md-banner');

      // Check if elements exist
      if (settingsWrapper) {

          // Read the height of the .md-header element and banner element
          const headerHeight = mdHeader.offsetHeight;
          const bannerHeight = banner.offsetHeight;
          let top = headerHeight - 1;

          // if banner is there, adds the heights together
          if (settingsWrapper && banner) {
              top = headerHeight + bannerHeight - 1;
          }
          
          // If user has scrolled far enough, that the banner isn't visible anymore, removes bannerHeight
          if (window.scrollY >= bannerHeight) {
              top = headerHeight - 1;
          }

          // Adjust the top-property of the settingsWrapper element
          settingsWrapper.style.top = `${top}px`; 
      }

  }

  // Adjust heights on page load
  adjustHeaderHeights();

  // Adjust heights on scroll
  window.addEventListener('scroll', adjustHeaderHeights);

  // Adjust heights on window resize with a tiny delay for better usability
  let resizeTimeout;
  window.addEventListener('resize', () => {
      clearTimeout(resizeTimeout);
      resizeTimeout = setTimeout(adjustHeaderHeights, 100); // 100 ms delay
  });
});

//Adjust height & width of info-boxes
document.addEventListener('DOMContentLoaded', () => {
  setTimeout(() => {
      const openHours = document.getElementById('openHours');
      const infoBoxes = document.querySelectorAll('.info-box');

      if (infoBoxes) {
          infoBoxes.forEach((infoBox) => {
              if (infoBox && !openHours) {
                  infoBox.style.height = "400px";
                  infoBox.style.width = "400px";
              } else if (infoBox && openHours) {
                  const hoursHeight = openHours.offsetHeight;
                  const hoursWidth = openHours.offsetWidth;

                  infoBox.style.height = `${hoursHeight}px`;
                  infoBox.style.width = `${hoursWidth}px`;
              }
          });
      } else {
          console.log('nothing to do');
      }
  }, 500); // Delay of 500 milliseconds
});